// Generated by dts-bundle-generator v9.5.1

import { z } from 'zod';

export interface CLIFlags {
	help: boolean;
	verbose: boolean;
	stdout: boolean;
}
export interface CLIArguments {
	inputFilePath: string;
	flags: CLIFlags;
}
export declare const BindingSchema: z.ZodObject<{
	include: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
	contentKey: z.ZodDefault<z.ZodString>;
	files: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
	options: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodAny>>;
	processors: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
	options: Record<string, any>;
	include: string[];
	contentKey: string;
	files: string[];
	processors: string[];
}, {
	options?: Record<string, any> | undefined;
	include?: string[] | undefined;
	contentKey?: string | undefined;
	files?: string[] | undefined;
	processors?: string[] | undefined;
}>;
export interface Binding {
	readonly _raw: z.infer<typeof BindingSchema>;
	readonly bindingPath: string;
	readonly contentKey: string;
	readonly entries: MuseEntry[];
	readonly meta: Record<string, unknown>;
	readonly options: Record<string, unknown>;
	readonly processors: MuseProcessor[];
	readonly imports: Binding[];
}
export type MuseProcessorFn = (binding: Binding, opts: Record<string, unknown>, flags: CLIFlags) => Promise<Binding>;
export interface MuseProcessor {
	readonly filePath: string;
	readonly name: string;
	readonly description: string;
	readonly process: MuseProcessorFn;
}
export interface MuseEntry {
	_raw: string;
	filePath: string;
	data: Record<string, unknown>;
	meta: Record<string, unknown>;
}
export type UnknownRecord = Record<string, unknown>;
export declare const DEFAULT_CONTENT_KEY = "content";

export {};
